Panda3D

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | List of all members
VirtualFileList Class Reference

A list of VirtualFiles, as returned by VirtualFile::scan_directory(). More...

`#include "virtualFileList.h"`

Inheritance diagram for VirtualFileList:

## Public Member Functions
void | add_file (VirtualFile *file)
| Adds a new file to the list.
VirtualFile * | get_file (size_t n) const
size_t | get_num_files () const
VirtualFileList | operator+ (const VirtualFileList &other) const
| Returns a VirtualFileList representing the concatenation of the two lists.
void | operator+= (const VirtualFileList &other)
| Appends the other list onto the end of this one.
VirtualFile * | operator[] (size_t n) const
| Returns the nth file in the list.
size_t | size () const
| Returns the number of files in the list.
Public Member Functions inherited from ReferenceCount
int | get_ref_count () const
WeakReferenceList * | get_weak_list () const
| Returns the WeakReferenceList associated with this ReferenceCount object.
bool | has_weak_list () const
| Returns true if this particular ReferenceCount object has a WeakReferenceList created, false otherwise.
void | local_object ()
| This function should be called, once, immediately after creating a new instance of some ReferenceCount-derived object on the stack.
void | ref () const
| Explicitly increments the reference count.
bool | ref_if_nonzero () const
| Atomically increases the reference count of this object if it is not zero.
bool | test_ref_count_integrity () const
| Does some easy checks to make sure that the reference count isn't completely bogus.
bool | test_ref_count_nonzero () const
| Does some easy checks to make sure that the reference count isn't zero, or completely bogus.
virtual bool | unref () const
| Explicitly decrements the reference count.
bool | unref_if_one () const
| Atomically decreases the reference count of this object if it is one.
WeakReferenceList * | weak_ref ()
| Adds the indicated PointerToVoid as a weak reference to this object.
void | weak_unref ()
| Removes the indicated PointerToVoid as a weak reference to this object.
Public Member Functions inherited from MemoryBase
void | operator delete (void *, void *)
void | operator delete (void *ptr)
void | operator delete[] (void *, void *)
void | operator delete[] (void *ptr)
void * | operator new (size_t size)
void * | operator new (size_t size, void *ptr)
void * | operator new[] (size_t size)
void * | operator new[] (size_t size, void *ptr)

## Public Attributes
| get_file
| Returns the nth file in the list.
| get_num_files
| Returns the number of files in the list.
Public Attributes inherited from ReferenceCount
| get_ref_count
| Returns the current reference count.

## Additional Inherited Members
Static Public Member Functions inherited from ReferenceCount
static TypeHandle | get_class_type ()
static void | init_type ()

## Detailed Description

A list of VirtualFiles, as returned by VirtualFile::scan_directory().

Definition at line 25 of file virtualFileList.h.

## Constructor & Destructor Documentation

## ◆ VirtualFileList()

VirtualFileList::VirtualFileList | ( |  | ) |
| inline

Definition at line 17 of file virtualFileList.I.

## ◆ ~VirtualFileList()

VirtualFileList::~VirtualFileList | ( |  | ) |
| inline

Definition at line 24 of file virtualFileList.I.

## Member Function Documentation

## ◆ add_file()

void VirtualFileList::add_file | ( | VirtualFile * | file | ) |
| inline

Adds a new file to the list.

Definition at line 31 of file virtualFileList.I.

## ◆ operator+()

VirtualFileList VirtualFileList::operator+ | ( | const VirtualFileList & | other | ) | const
| inline

Returns a VirtualFileList representing the concatenation of the two lists.

Definition at line 81 of file virtualFileList.I.

## ◆ operator+=()

void VirtualFileList::operator+= | ( | const VirtualFileList & | other | ) |
| inline

Appends the other list onto the end of this one.

Definition at line 73 of file virtualFileList.I.

## ◆ operator[]()

VirtualFile * VirtualFileList::operator[] | ( | size_t | n | ) | const
| inline

Returns the nth file in the list.

Definition at line 56 of file virtualFileList.I.

## ◆ size()

size_t VirtualFileList::size | ( |  | ) | const
| inline

Returns the number of files in the list.

Definition at line 65 of file virtualFileList.I.

## Member Data Documentation

## ◆ get_file

VirtualFile * VirtualFileList::get_file
| inline

Returns the nth file in the list.

Definition at line 38 of file virtualFileList.h.

## ◆ get_num_files

size_t VirtualFileList::get_num_files
| inline

Returns the number of files in the list.

Definition at line 38 of file virtualFileList.h.

The documentation for this class was generated from the following files:

- panda/src/express/virtualFileList.h
- panda/src/express/virtualFileList.I